> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get aggregated motion heatmap for specified time period and camera

> Get aggregated motion heatmap for specified time period and camera. Divides a camera's resolution into a 36x64 grid and counts the number of motion events that occurred in each cell.



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/event/getMotionHeatMap
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/event/getMotionHeatMap:
    post:
      tags:
        - Event Webservice
      summary: Get aggregated motion heatmap for specified time period and camera
      description: >-
        Get aggregated motion heatmap for specified time period and camera.
        Divides a camera's resolution into a 36x64 grid and counts the number of
        motion events that occurred in each cell.
      operationId: getMotionHeatMap
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Event_GetMotionGridWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Event_GetMotionGridCountsWSResponse'
          description: OK
components:
  schemas:
    Event_GetMotionGridWSRequest:
      type: object
      description: Request object for retrieving motion grid data for a device.
      properties:
        deviceUuid:
          type: string
          format: DeviceFacetUuid
          description: RUUID with optional appended facet information
          example: AAAAAAAAAAAAAAAAAAAAAA.v0
          nullable: true
        endTimeUtcSecs:
          type: integer
          format: int64
          description: End time as a UNIX timestamp in seconds
          example: 1641081600
          nullable: true
        startTimeUtcSecs:
          type: integer
          format: int64
          description: Start time as a UNIX timestamp in seconds
          example: 1640995200
          nullable: true
      required:
        - deviceUuid
        - endTimeUtcSecs
        - startTimeUtcSecs
    Event_GetMotionGridCountsWSResponse:
      type: object
      description: Response object containing motion grid counts for a device.
      properties:
        countGrid:
          type: array
          description: >-
            Matrix where each cell is a fraction of the camera's resolution and
            stores the total number of motion events that occurred in the given
            timeframe
          items:
            type: array
            description: >-
              Matrix where each cell is a fraction of the camera's resolution
              and stores the total number of motion events that occurred in the
              given timeframe
            items:
              type: integer
              format: int32
              description: >-
                Matrix where each cell is a fraction of the camera's resolution
                and stores the total number of motion events that occurred in
                the given timeframe
              nullable: true
            nullable: true
          nullable: true
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        warningMsg:
          type: string
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````